package com.demo.entity.po.bak;

import org.springframework.data.mongodb.core.mapping.Document;

@Document(collection = "DeviceInfoIos")
public class DeviceInfoAndroid {
    private String platform;
    private String reyunId;
    private String deviceId; //序列号
    private String androidId;
    private String simSerialNum;//SIM卡序列号
    private String imsi; //IMSI
    private String simCountry; //SIM卡所在国家
    private String isp; //运营商
    private String ispName; //运营商名称
    private String networkCountryIso;//国家iso代码
    private String isoType;//运营商类型
    private String networkType;//网络类型
    private String networkTypeName;//网络类型名称
    private String phoneType;//手机类型
    private String simStatus;//SIM卡状态
    private String mac;//MAC地址
    private String bluetoothName;//蓝牙名称
    private String cpuModel; //CPU型号
    private String cpuCoreNum;//CPU核数
    private String radioVer;//固件版本
    private String osVer;//系统版本(大版本号)
    private String sdkInt;//系统的API级别(小版本号)
    private String osVerVal;//系统的API级别 一般使用下面大的SDK_INT 来查看
    private String brand;//品牌
    private String model; //型号
    private String ID;
    private String display;
    private String product;//产品名
    private String manufacturer;//制造商
    private String deviceName;//设备名
    private String hardware; //硬件
    private String fingerprint;//指纹
    private String serial; //串口序列号
    private String deviceVerType; //设备版本类型
    private String tags; //描述build的标签
    private String host; //主机地址
    private String deviceUser; //设备用户名
    private String codeName; //固件开发版本代号
    private String buildIncremental; //源码控制版本号
    private String board; //主板
    private String bootloader; //主板引导程序
    private String buildTime; //Build时间
    private String cpuAbi1;  //CPU指令集1
    private String cpuAbi2;   //CPU指令集2
    private String bluetoothAdr; //蓝牙地址
    private String density; //屏幕密度
    private String densityDpi;//屏幕密度
    private String screenWidth; //屏幕宽度
    private String screenHeight; //屏幕高度
    private String xdpi; //x方向像素点数
    private String ydpi; //y方向像素点数
    private String scaledDensity; //字体缩放比例
    private String utdid1; //阿里id1
    private String utdid2; //阿里id2
    private String smid;  //数盟ID

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public String getReyunId() {
        return reyunId;
    }

    public void setReyunId(String reyunId) {
        this.reyunId = reyunId;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getAndroidId() {
        return androidId;
    }

    public void setAndroidId(String androidId) {
        this.androidId = androidId;
    }

    public String getSimSerialNum() {
        return simSerialNum;
    }

    public void setSimSerialNum(String simSerialNum) {
        this.simSerialNum = simSerialNum;
    }

    public String getImsi() {
        return imsi;
    }

    public void setImsi(String imsi) {
        this.imsi = imsi;
    }

    public String getSimCountry() {
        return simCountry;
    }

    public void setSimCountry(String simCountry) {
        this.simCountry = simCountry;
    }

    public String getIsp() {
        return isp;
    }

    public void setIsp(String isp) {
        this.isp = isp;
    }

    public String getIspName() {
        return ispName;
    }

    public void setIspName(String ispName) {
        this.ispName = ispName;
    }

    public String getNetworkCountryIso() {
        return networkCountryIso;
    }

    public void setNetworkCountryIso(String networkCountryIso) {
        this.networkCountryIso = networkCountryIso;
    }

    public String getIsoType() {
        return isoType;
    }

    public void setIsoType(String isoType) {
        this.isoType = isoType;
    }

    public String getNetworkType() {
        return networkType;
    }

    public void setNetworkType(String networkType) {
        this.networkType = networkType;
    }

    public String getNetworkTypeName() {
        return networkTypeName;
    }

    public void setNetworkTypeName(String networkTypeName) {
        this.networkTypeName = networkTypeName;
    }

    public String getPhoneType() {
        return phoneType;
    }

    public void setPhoneType(String phoneType) {
        this.phoneType = phoneType;
    }

    public String getSimStatus() {
        return simStatus;
    }

    public void setSimStatus(String simStatus) {
        this.simStatus = simStatus;
    }

    public String getMac() {
        return mac;
    }

    public void setMac(String mac) {
        this.mac = mac;
    }

    public String getBluetoothName() {
        return bluetoothName;
    }

    public void setBluetoothName(String bluetoothName) {
        this.bluetoothName = bluetoothName;
    }

    public String getCpuModel() {
        return cpuModel;
    }

    public void setCpuModel(String cpuModel) {
        this.cpuModel = cpuModel;
    }

    public String getCpuCoreNum() {
        return cpuCoreNum;
    }

    public void setCpuCoreNum(String cpuCoreNum) {
        this.cpuCoreNum = cpuCoreNum;
    }

    public String getRadioVer() {
        return radioVer;
    }

    public void setRadioVer(String radioVer) {
        this.radioVer = radioVer;
    }

    public String getOsVer() {
        return osVer;
    }

    public void setOsVer(String osVer) {
        this.osVer = osVer;
    }

    public String getSdkInt() {
        return sdkInt;
    }

    public void setSdkInt(String sdkInt) {
        this.sdkInt = sdkInt;
    }

    public String getOsVerVal() {
        return osVerVal;
    }

    public void setOsVerVal(String osVerVal) {
        this.osVerVal = osVerVal;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getID() {
        return ID;
    }

    public void setID(String ID) {
        this.ID = ID;
    }

    public String getDisplay() {
        return display;
    }

    public void setDisplay(String display) {
        this.display = display;
    }

    public String getProduct() {
        return product;
    }

    public void setProduct(String product) {
        this.product = product;
    }

    public String getManufacturer() {
        return manufacturer;
    }

    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getHardware() {
        return hardware;
    }

    public void setHardware(String hardware) {
        this.hardware = hardware;
    }

    public String getFingerprint() {
        return fingerprint;
    }

    public void setFingerprint(String fingerprint) {
        this.fingerprint = fingerprint;
    }

    public String getSerial() {
        return serial;
    }

    public void setSerial(String serial) {
        this.serial = serial;
    }

    public String getDeviceVerType() {
        return deviceVerType;
    }

    public void setDeviceVerType(String deviceVerType) {
        this.deviceVerType = deviceVerType;
    }

    public String getTags() {
        return tags;
    }

    public void setTags(String tags) {
        this.tags = tags;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getDeviceUser() {
        return deviceUser;
    }

    public void setDeviceUser(String deviceUser) {
        this.deviceUser = deviceUser;
    }

    public String getCodeName() {
        return codeName;
    }

    public void setCodeName(String codeName) {
        this.codeName = codeName;
    }

    public String getBuildIncremental() {
        return buildIncremental;
    }

    public void setBuildIncremental(String buildIncremental) {
        this.buildIncremental = buildIncremental;
    }

    public String getBoard() {
        return board;
    }

    public void setBoard(String board) {
        this.board = board;
    }

    public String getBootloader() {
        return bootloader;
    }

    public void setBootloader(String bootloader) {
        this.bootloader = bootloader;
    }

    public String getBuildTime() {
        return buildTime;
    }

    public void setBuildTime(String buildTime) {
        this.buildTime = buildTime;
    }

    public String getCpuAbi1() {
        return cpuAbi1;
    }

    public void setCpuAbi1(String cpuAbi1) {
        this.cpuAbi1 = cpuAbi1;
    }

    public String getCpuAbi2() {
        return cpuAbi2;
    }

    public void setCpuAbi2(String cpuAbi2) {
        this.cpuAbi2 = cpuAbi2;
    }

    public String getBluetoothAdr() {
        return bluetoothAdr;
    }

    public void setBluetoothAdr(String bluetoothAdr) {
        this.bluetoothAdr = bluetoothAdr;
    }

    public String getDensity() {
        return density;
    }

    public void setDensity(String density) {
        this.density = density;
    }

    public String getDensityDpi() {
        return densityDpi;
    }

    public void setDensityDpi(String densityDpi) {
        this.densityDpi = densityDpi;
    }

    public String getScreenWidth() {
        return screenWidth;
    }

    public void setScreenWidth(String screenWidth) {
        this.screenWidth = screenWidth;
    }

    public String getScreenHeight() {
        return screenHeight;
    }

    public void setScreenHeight(String screenHeight) {
        this.screenHeight = screenHeight;
    }

    public String getXdpi() {
        return xdpi;
    }

    public void setXdpi(String xdpi) {
        this.xdpi = xdpi;
    }

    public String getYdpi() {
        return ydpi;
    }

    public void setYdpi(String ydpi) {
        this.ydpi = ydpi;
    }

    public String getScaledDensity() {
        return scaledDensity;
    }

    public void setScaledDensity(String scaledDensity) {
        this.scaledDensity = scaledDensity;
    }

    public String getUtdid1() {
        return utdid1;
    }

    public void setUtdid1(String utdid1) {
        this.utdid1 = utdid1;
    }

    public String getUtdid2() {
        return utdid2;
    }

    public void setUtdid2(String utdid2) {
        this.utdid2 = utdid2;
    }

    public String getSmid() {
        return smid;
    }

    public void setSmid(String smid) {
        this.smid = smid;
    }
}
